Bug 480293 - Removing plasmoid "Blue Marble" causes Plasma to crash.
Removing plasmoid "Blue Marble" causes Plasma to crash.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mesa (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-16 05:08 EST by Diego
Modified: 2009-12-18 02:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:37:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
xorg.conf (1.07 KB, text/plain)
2009-01-16 05:11 EST, Diego
no flags Details
Xorg.0.log (130.99 KB, text/plain)
2009-01-16 05:12 EST, Diego
no flags Details
glxinfo (5.42 KB, text/plain)
2009-01-21 12:49 EST, Diego
no flags Details
Complete backtrace (5.28 KB, text/plain)
2009-01-21 13:33 EST, Diego
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 180895 None None None Never

  None (edit)
Description Diego 2009-01-16 05:08:34 EST
Description of problem:
In KDE 4.2 RC (packages taken from kde-testing repository) the plasmoid "Blue Marble" crashes when it is closed. Plasma developer supposes it's a driver bug.
Here's the bug report in KDE bugzilla:
https://bugs.kde.org/show_bug.cgi?id=180895

Version-Release number of selected component (if applicable):
- kernel 2.6.27.9-163
- drv-ati 6.9.0-63
- kde 4.1.96
- mesa 7.2.0-15

How reproducible:
Always reproducible

Steps to Reproduce:
1. Start KDE 4
2. Add the Blue Marble plasmoid, you get the following text in the plasmoid: "This object cannot be created for the following reason: OpenGL shaders unsupported.", however it doesn't crash right now.
3. Click the X to close the plasmoid: you get the crash.
  
Additional info:

Here you are the backtrace:
Applicazione: Spazio di lavoro di Plasma (plasma), segnale SIGABRT
[Current thread is 1 (Thread 0xb80459a0 (LWP 4620))]

Thread 3 (Thread 0xace4ab90 (LWP 4627)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x008f5105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x036257a2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0x004c1a72 in ?? () from /usr/lib/libQtNetwork.so.4
#4  0x0362475e in ?? () from /usr/lib/libQtCore.so.4
#5  0x008f151f in start_thread () from /lib/libpthread.so.0
#6  0x0082704e in clone () from /lib/libc.so.6

Thread 2 (Thread 0xac449b90 (LWP 4628)):
#0  0x00110416 in __kernel_vsyscall ()
#1  0x008f5105 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x036257a2 in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
#3  0x01054c6a in ?? () from /usr/lib/kde4/plasma_wallpaper_image.so
#4  0x0362475e in ?? () from /usr/lib/libQtCore.so.4
#5  0x008f151f in start_thread () from /lib/libpthread.so.0
#6  0x0082704e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb80459a0 (LWP 4620)):
[KCrash Handler]
#6  0x00110416 in __kernel_vsyscall ()
#7  0x0076e460 in raise () from /lib/libc.so.6
#8  0x0076fe28 in abort () from /lib/libc.so.6
#9  0x0076740e in __assert_fail () from /lib/libc.so.6
#10 0x0107a1f6 in radeonGetLock (rmesa=0x885a0a0, flags=0) at radeon_lock.c:100
#11 0x01084ebf in r300FlushCmdBuf (r300=0x885a0a0, caller=0x10a9234 "r300DestroyContext") at r300_cmdbuf.c:153
#12 0x0107eb41 in r300DestroyContext (driContextPriv=0x8c050e8) at r300_context.c:410
#13 0x01077c9a in radeonDestroyContext (driContextPriv=0x6) at radeon_screen.c:1431
#14 0x01074da9 in driDestroyContext (pcp=0x8c050e8) at ../common/dri_util.c:516
#15 0x021a533c in driDestroyContext (context=0x8bfdd08, psc=0x882ac08, dpy=0x87fa2c0) at dri_glx.c:444
#16 0x0218833f in DestroyContext (dpy=0x87fa2c0, gc=0x882ce78) at glxcmds.c:522
#17 0x04f0f624 in QGLContext::reset () from /usr/lib/libQtOpenGL.so.4
#18 0x04ee4ecc in QGLContext::~QGLContext () from /usr/lib/libQtOpenGL.so.4
#19 0x04ede6c5 in QGLWidget::~QGLWidget () from /usr/lib/libQtOpenGL.so.4
#20 0x0474f63d in ~GLAppletPrivate () at /usr/src/debug/kdelibs-4.1.96/plasma/glapplet.cpp:38
#21 ~GLApplet (this=0x882a3d0) at /usr/src/debug/kdelibs-4.1.96/plasma/glapplet.cpp:93
#22 0x069d8baa in ?? () from /usr/lib/kde4/plasma_applet_bluemarble.so
#23 0x0372317c in qDeleteInEventHandler () from /usr/lib/libQtCore.so.4
#24 0x03724b33 in QObject::event () from /usr/lib/libQtCore.so.4
#25 0x04417a27 in QGraphicsWidget::event () from /usr/lib/libQtGui.so.4
#26 0x03e5962c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
#27 0x03e6146e in QApplication::notify () from /usr/lib/libQtGui.so.4
#28 0x039c170d in KApplication::notify (this=0x87fa9b0, receiver=0x882a3d0, event=0x8aa8b80) at /usr/src/debug/kdelibs-4.1.96/kdeui/kernel/kapplication.cpp:307
#29 0x037151c1 in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
#30 0x03715e45 in QCoreApplicationPrivate::sendPostedEvents () from /usr/lib/libQtCore.so.4
#31 0x0371603d in QCoreApplication::sendPostedEvents () from /usr/lib/libQtCore.so.4
#32 0x0373fbaf in ?? () from /usr/lib/libQtCore.so.4
#33 0x0352b238 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#34 0x0352e8e3 in ?? () from /lib/libglib-2.0.so.0
#35 0x0352eaa1 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#36 0x0373f7f8 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
#37 0x03ef24b5 in ?? () from /usr/lib/libQtGui.so.4
#38 0x0371388a in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
#39 0x03713a4a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
#40 0x03716105 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
#41 0x03e594a7 in QApplication::exec () from /usr/lib/libQtGui.so.4
#42 0x00138e26 in kdemain () from /usr/lib/libkdeinit4_plasma.so
#43 0x080486f2 in _start ()
Comment 1 Diego 2009-01-16 05:11:37 EST
Created attachment 329191 [details]
xorg.conf

Radeon 9500 AGP video card
Comment 2 Diego 2009-01-16 05:12:33 EST
Created attachment 329192 [details]
Xorg.0.log
Comment 3 Matěj Cepl 2009-01-21 10:51:36 EST
No backtrace in the log.
Comment 4 Diego 2009-01-21 12:49:29 EST
Created attachment 329624 [details]
glxinfo
Comment 5 Diego 2009-01-21 13:33:33 EST
Created attachment 329630 [details]
Complete backtrace

This backtrace is more complete than the previous one.
Comment 6 Bug Zapper 2009-11-18 05:46:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 02:37:02 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.